> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://documentation.sayari.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://documentation.sayari.com/_mcp/server.

# Resolution Persisted

POST https://api.sayari.com/v1/resolution/persisted/{projectId}
Content-Type: application/json

This endpoint is deprecated. The persisted resolution endpoints allow users to search for matching entities against a provided list of attributes. The endpoint is similar to the resolution endpoint, except it also stores matched entities into user's project.

Reference: https://documentation.sayari.com/api/api-reference/resolution/resolution-persisted

## Authentication

- OAuth2 — send the obtained token as `Authorization: Bearer <token>`

## Servers

- `https://api.sayari.com` (Production, default)
- `https://api.internal.sayari.com` (Dev)
- `https://api.uk.sayari.com` (Production_UK)

## Request

### Path parameters

- `projectId` (string, required) — Unique identifier of the project

### Query parameters

- `limit` (integer, optional) — A limit on the number of objects to be returned with a range between 1 and 10 inclusive. Defaults to 10.
- `offset` (integer, optional) — Number of results to skip before returning response. Defaults to 0.

### Body (application/json)

This endpoint expects a ResolutionBody.

- `name` (list of string, optional) — Entity name
- `identifier` (BothIdentifierTypes, optional) — Entity identifier. Can be from either the [Identifier Type](/sayari-library/ontology/enumerated-types#identifier-type) or [Weak Identifier Type](/sayari-library/ontology/enumerated-types#weak-identifier-type) enums.
- `address` (list of string, optional) — Entity address
- `city` (string, optional) — Entity city that contains the provided city name.
- `state` (string, optional) — Entity state that contains the provided state name.
- `country` (list of enum, optional) — Entity country - must be ISO (3166) Trigram i.e., `USA`. See complete list [here](/sayari-library/ontology/enumerated-types#country)
  - Allowed values: `ABW`, `AFG`, `AGO`, `AIA`, `ALA`, `ALB`, `AND`, `ARE`, `ARG`, `ARM`, `ASM`, `ATA`, `ATF`, `ATG`, `AUS`, `AUT`, `AZE`, `BDI`, `BEL`, `BEN`, `BES`, `BFA`, `BGD`, `BGR`, `BHR`, `BHS`, `BIH`, `BLM`, `BLR`, `BLZ`, `BMU`, `BOL`, `BRA`, `BRB`, `BRN`, `BTN`, `BVT`, `BWA`, `CAF`, `CAN`, `CCK`, `CHE`, `CHL`, `CHN`, `CIV`, `CMR`, `COD`, `COG`, `COK`, `COL`, `COM`, `CPV`, `CRI`, `CUB`, `CUW`, `CXR`, `CYM`, `CYP`, `CZE`, `DEU`, `DJI`, `DMA`, `DNK`, `DOM`, `DZA`, `ECU`, `EGY`, `ERI`, `ESH`, `ESP`, `EST`, `ETH`, `FIN`, `FJI`, `FLK`, `FRA`, `FRO`, `FSM`, `GAB`, `GBR`, `GEO`, `GGY`, `GHA`, `GIB`, `GIN`, `GLP`, `GMB`, `GNB`, `GNQ`, `GRC`, `GRD`, `GRL`, `GTM`, `GUF`, `GUM`, `GUY`, `HKG`, `HMD`, `HND`, `HRV`, `HTI`, `HUN`, `IDN`, `IMN`, `IND`, `IOT`, `IRL`, `IRN`, `IRQ`, `ISL`, `ISR`, `ITA`, `JAM`, `JEY`, `JOR`, `JPN`, `KAZ`, `KEN`, `KGZ`, `KHM`, `KIR`, `KNA`, `KOR`, `KWT`, `LAO`, `LBN`, `LBR`, `LBY`, `LCA`, `LIE`, `LKA`, `LSO`, `LTU`, `LUX`, `LVA`, `MAC`, `MAF`, `MAR`, `MCO`, `MDA`, `MDG`, `MDV`, `MEX`, `MHL`, `MKD`, `MLI`, `MLT`, `MMR`, `MNE`, `MNG`, `MNP`, `MOZ`, `MRT`, `MSR`, `MTQ`, `MUS`, `MWI`, `MYS`, `MYT`, `NAM`, `NCL`, `NER`, `NFK`, `NGA`, `NIC`, `NIU`, `NLD`, `NOR`, `NPL`, `NRU`, `NZL`, `OMN`, `PAK`, `PAN`, `PCN`, `PER`, `PHL`, `PLW`, `PNG`, `POL`, `PRI`, `PRK`, `PRT`, `PRY`, `PSE`, `PYF`, `QAT`, `REU`, `RKS`, `ROU`, `RUS`, `RWA`, `SAU`, `SDN`, `SEN`, `SGP`, `SGS`, `SHN`, `SJM`, `SLB`, `SLE`, `SLV`, `SMR`, `SOM`, `SPM`, `SRB`, `SSD`, `STP`, `SUR`, `SVK`, `SVN`, `SWE`, `SWZ`, `SXM`, `SYC`, `SYR`, `TCA`, `TCD`, `TGO`, `THA`, `TJK`, `TKL`, `TKM`, `TLS`, `TON`, `TTO`, `TUN`, `TUR`, `TUV`, `TWN`, `TZA`, `UGA`, `UKR`, `UMI`, `UNK`, `URY`, `USA`, `UZB`, `VAT`, `VCT`, `VEN`, `VGB`, `VIR`, `VNM`, `VUT`, `WLF`, `WSM`, `XXX`, `YEM`, `ZAF`, `ZMB`, `ZWE`
- `date_of_birth` (list of string, optional) — Entity date of birth
- `contact` (list of string, optional) — Entity contact
- `type` (list of enum, optional) — [Entity type](/sayari-library/ontology/entities). If multiple values are passed for any field, the endpoint will match entities with ANY of the values.
  - Allowed values: `account`, `aircraft`, `company`, `contract`, `generic`, `government_organization`, `intellectual_property`, `legal_matter`, `person`, `property`, `security`, `shipment`, `tradename`, `transaction`, `unknown`, `vessel`
- `profile` (enum, optional) — Specifies the search algorithm to use. `corporate` (default) is optimized for accurate entity attribute matching, ideal for business verification. `suppliers` is tailored for matching entities with trade data, suitable for supply chain use cases. `search` mimics /search/entity behavior, best for name-only matches.
  - Allowed values: `corporate`, `suppliers`, `search`, `screen`
- `name_min_percentage` (integer, optional) — Adding this param enables an alternative matching logic. It will set a minimum percentage of tokens needed to match with user input to be considered a "hit". Accepts integers from 0 to 100 inclusive.
- `name_min_tokens` (integer, optional) — Adding this param enables an alternative matching logic. It sets the minimum number of matching tokens the resolved hits need to have in common with the user input to be considered a "hit". Accepts non-negative integers.
- `tags` (list of string, optional) — An array of tag labels to associate with each resolved entity
- `minimum_score_threshold` (integer, optional) — Specifies the minimum score required to pass, which controls the strictness of the matching threshold. The default value is 77, and tuned for general use-case accuracy. Increase the value for stricter matching, reduce to loosen.
- `search_fallback` (boolean, optional) — Enables a name search fallback when either the corporate or supplier profiles fails to find a match. When invoked, the fallback will make a call similar to /search/entity on name only. By default set to false.
- `cutoff_threshold` (integer, optional) — Specifies the window of similar results returned in the match group. Increase for fewer multiple matches, decrease to open the aperture and allow for more matches. Default is .8
- `candidate_pool_size` (integer, optional) — Specifies the maximum number of entity candidates considered during search. Default is 50. Higher values increase match pool size but also increase latency.
- `skip_post_process` (boolean, optional) — Bypasses the post-processing setps and re-ranking. Useful for debugging. By default set to false, set to true to enable.
- `enable_llm_clean` (boolean, optional) — Whether to enable LLM-based data cleaning to remove noise and standardize entity attributes. Defaults to true if not supplied. Set to false to disable LLM cleaning.

## Response

### 200

- `fields` (ResolutionPersistedResponseFields, required)
- `data` (list of ResolutionPersistedResult, required)

## Errors

### 400 Bad Request

- `any`

### 401 Unauthorized

- `any`

### 405 Method Not Allowed

- `status` (integer, required)
- `message` (list of string, required)
- `success` (boolean, required)

### 406 Not Acceptable

- `status` (integer, required)
- `message` (list of string, required)
- `success` (boolean, required)

### 429 Rate Limit Exceeded

- `any`

### 500 Internal Server Error

- `any`

## Types

### BothIdentifierTypes

### ResolutionPersistedResponseFields

- `address` (list of string, optional) — List of physical addresses associated with the entity.
- `contact` (list of string, optional)
- `country` (list of enum, optional) — Entity country - must be ISO (3166) Trigram i.e., USA. See complete list [here](/sayari-library/ontology/enumerated-types#country)
  - Allowed values: `ABW`, `AFG`, `AGO`, `AIA`, `ALA`, `ALB`, `AND`, `ARE`, `ARG`, `ARM`, `ASM`, `ATA`, `ATF`, `ATG`, `AUS`, `AUT`, `AZE`, `BDI`, `BEL`, `BEN`, `BES`, `BFA`, `BGD`, `BGR`, `BHR`, `BHS`, `BIH`, `BLM`, `BLR`, `BLZ`, `BMU`, `BOL`, `BRA`, `BRB`, `BRN`, `BTN`, `BVT`, `BWA`, `CAF`, `CAN`, `CCK`, `CHE`, `CHL`, `CHN`, `CIV`, `CMR`, `COD`, `COG`, `COK`, `COL`, `COM`, `CPV`, `CRI`, `CUB`, `CUW`, `CXR`, `CYM`, `CYP`, `CZE`, `DEU`, `DJI`, `DMA`, `DNK`, `DOM`, `DZA`, `ECU`, `EGY`, `ERI`, `ESH`, `ESP`, `EST`, `ETH`, `FIN`, `FJI`, `FLK`, `FRA`, `FRO`, `FSM`, `GAB`, `GBR`, `GEO`, `GGY`, `GHA`, `GIB`, `GIN`, `GLP`, `GMB`, `GNB`, `GNQ`, `GRC`, `GRD`, `GRL`, `GTM`, `GUF`, `GUM`, `GUY`, `HKG`, `HMD`, `HND`, `HRV`, `HTI`, `HUN`, `IDN`, `IMN`, `IND`, `IOT`, `IRL`, `IRN`, `IRQ`, `ISL`, `ISR`, `ITA`, `JAM`, `JEY`, `JOR`, `JPN`, `KAZ`, `KEN`, `KGZ`, `KHM`, `KIR`, `KNA`, `KOR`, `KWT`, `LAO`, `LBN`, `LBR`, `LBY`, `LCA`, `LIE`, `LKA`, `LSO`, `LTU`, `LUX`, `LVA`, `MAC`, `MAF`, `MAR`, `MCO`, `MDA`, `MDG`, `MDV`, `MEX`, `MHL`, `MKD`, `MLI`, `MLT`, `MMR`, `MNE`, `MNG`, `MNP`, `MOZ`, `MRT`, `MSR`, `MTQ`, `MUS`, `MWI`, `MYS`, `MYT`, `NAM`, `NCL`, `NER`, `NFK`, `NGA`, `NIC`, `NIU`, `NLD`, `NOR`, `NPL`, `NRU`, `NZL`, `OMN`, `PAK`, `PAN`, `PCN`, `PER`, `PHL`, `PLW`, `PNG`, `POL`, `PRI`, `PRK`, `PRT`, `PRY`, `PSE`, `PYF`, `QAT`, `REU`, `RKS`, `ROU`, `RUS`, `RWA`, `SAU`, `SDN`, `SEN`, `SGP`, `SGS`, `SHN`, `SJM`, `SLB`, `SLE`, `SLV`, `SMR`, `SOM`, `SPM`, `SRB`, `SSD`, `STP`, `SUR`, `SVK`, `SVN`, `SWE`, `SWZ`, `SXM`, `SYC`, `SYR`, `TCA`, `TCD`, `TGO`, `THA`, `TJK`, `TKL`, `TKM`, `TLS`, `TON`, `TTO`, `TUN`, `TUR`, `TUV`, `TWN`, `TZA`, `UGA`, `UKR`, `UMI`, `UNK`, `URY`, `USA`, `UZB`, `VAT`, `VCT`, `VEN`, `VGB`, `VIR`, `VNM`, `VUT`, `WLF`, `WSM`, `XXX`, `YEM`, `ZAF`, `ZMB`, `ZWE`
- `custom_identifier` (string, optional)
- `custom_name` (string, optional)
- `custom_{field name}` (string, optional) — This property is in beta and is subject to change. It is provided for early access and testing purposes only. custom user key/value pairs (key must be prefixed with "custom\_" and value must be "string" type)
- `date_of_birth` (list of string, optional)
- `identifier` (list of string, optional)
- `name` (list of string, optional)
- `profile` (string, optional)
- `type` (list of enum, optional) — [Entity type](/sayari-library/ontology/entities)
  - Allowed values: `account`, `aircraft`, `company`, `contract`, `generic`, `government_organization`, `intellectual_property`, `legal_matter`, `person`, `property`, `security`, `shipment`, `tradename`, `transaction`, `unknown`, `vessel`

### ResolutionPersistedResult

- `addresses` (list of string, required)
- `countries` (list of enum, required)
  - Allowed values: `ABW`, `AFG`, `AGO`, `AIA`, `ALA`, `ALB`, `AND`, `ARE`, `ARG`, `ARM`, `ASM`, `ATA`, `ATF`, `ATG`, `AUS`, `AUT`, `AZE`, `BDI`, `BEL`, `BEN`, `BES`, `BFA`, `BGD`, `BGR`, `BHR`, `BHS`, `BIH`, `BLM`, `BLR`, `BLZ`, `BMU`, `BOL`, `BRA`, `BRB`, `BRN`, `BTN`, `BVT`, `BWA`, `CAF`, `CAN`, `CCK`, `CHE`, `CHL`, `CHN`, `CIV`, `CMR`, `COD`, `COG`, `COK`, `COL`, `COM`, `CPV`, `CRI`, `CUB`, `CUW`, `CXR`, `CYM`, `CYP`, `CZE`, `DEU`, `DJI`, `DMA`, `DNK`, `DOM`, `DZA`, `ECU`, `EGY`, `ERI`, `ESH`, `ESP`, `EST`, `ETH`, `FIN`, `FJI`, `FLK`, `FRA`, `FRO`, `FSM`, `GAB`, `GBR`, `GEO`, `GGY`, `GHA`, `GIB`, `GIN`, `GLP`, `GMB`, `GNB`, `GNQ`, `GRC`, `GRD`, `GRL`, `GTM`, `GUF`, `GUM`, `GUY`, `HKG`, `HMD`, `HND`, `HRV`, `HTI`, `HUN`, `IDN`, `IMN`, `IND`, `IOT`, `IRL`, `IRN`, `IRQ`, `ISL`, `ISR`, `ITA`, `JAM`, `JEY`, `JOR`, `JPN`, `KAZ`, `KEN`, `KGZ`, `KHM`, `KIR`, `KNA`, `KOR`, `KWT`, `LAO`, `LBN`, `LBR`, `LBY`, `LCA`, `LIE`, `LKA`, `LSO`, `LTU`, `LUX`, `LVA`, `MAC`, `MAF`, `MAR`, `MCO`, `MDA`, `MDG`, `MDV`, `MEX`, `MHL`, `MKD`, `MLI`, `MLT`, `MMR`, `MNE`, `MNG`, `MNP`, `MOZ`, `MRT`, `MSR`, `MTQ`, `MUS`, `MWI`, `MYS`, `MYT`, `NAM`, `NCL`, `NER`, `NFK`, `NGA`, `NIC`, `NIU`, `NLD`, `NOR`, `NPL`, `NRU`, `NZL`, `OMN`, `PAK`, `PAN`, `PCN`, `PER`, `PHL`, `PLW`, `PNG`, `POL`, `PRI`, `PRK`, `PRT`, `PRY`, `PSE`, `PYF`, `QAT`, `REU`, `RKS`, `ROU`, `RUS`, `RWA`, `SAU`, `SDN`, `SEN`, `SGP`, `SGS`, `SHN`, `SJM`, `SLB`, `SLE`, `SLV`, `SMR`, `SOM`, `SPM`, `SRB`, `SSD`, `STP`, `SUR`, `SVK`, `SVN`, `SWE`, `SWZ`, `SXM`, `SYC`, `SYR`, `TCA`, `TCD`, `TGO`, `THA`, `TJK`, `TKL`, `TKM`, `TLS`, `TON`, `TTO`, `TUN`, `TUR`, `TUV`, `TWN`, `TZA`, `UGA`, `UKR`, `UMI`, `UNK`, `URY`, `USA`, `UZB`, `VAT`, `VCT`, `VEN`, `VGB`, `VIR`, `VNM`, `VUT`, `WLF`, `WSM`, `XXX`, `YEM`, `ZAF`, `ZMB`, `ZWE`
- `entity_id` (string, required)
- `explanation` (map from string to list of MatchExplanation, required)
- `highlight` (map from string to list of string, required)
- `identifiers` (list of Identifier, required)
- `label` (string, required)
- `match_strength` (MatchStrength, required)
- `matched_queries` (list of string, required)
- `profile` (string, required)
- `saved_entity_id` (string, required)
- `score` (double, required)
- `sources` (list of string, required)
- `type` (enum, required) — This represents which type of entity is being returned.
  - Allowed values: `account`, `aircraft`, `company`, `contract`, `generic`, `government_organization`, `intellectual_property`, `legal_matter`, `person`, `property`, `security`, `shipment`, `tradename`, `transaction`, `unknown`, `vessel`
- `typed_matched_queries` (list of string, required)
- `psa_id` (double, optional)

### MatchExplanation

- `matched` (string, optional)
- `uploaded` (string, optional)
- `name_custom_tf_idf_score` (double, optional)
- `high_quality_match_name` (boolean, optional)
- `scores` (map from string to double, optional)
- `n_common_term_matches` (integer, optional)
- `n_uncommon_term_matches` (integer, optional)
- `match_quality` (enum, optional) — Represents the quality of the field match
  - Allowed values: `high`, `medium`, `low`

### Identifier

Identifiers associated with the entity.

- `value` (string, required)
- `type` (BothIdentifierTypes, required) — [Identifier Type](/sayari-library/ontology/enumerated-types#identifier-type) or [Weak Identifier Type](/sayari-library/ontology/enumerated-types#weak-identifier-type)
- `label` (string, required)

### MatchStrength

- `value` (string, required)

## Examples

### Example 1

**Request**

```json
{
  "name": [
    "victoria beckham limited"
  ]
}
```

**Response**

```json
{
  "fields": {
    "custom_name": "Victoria Beckham",
    "name": [
      "victoria beckham limited"
    ]
  },
  "data": [
    {
      "addresses": [
        "202 HAMMERSMITH ROAD , LONDON , , UNITED KINGDOM , W6 7DN , GB",
        "Unit 33, Ransomes Dock Business Centre, 35-37 Parkgate Road, London SW11 4NP",
        "SAUNDERS BUILDING, 202 HAMMERSMITH ROAD, HAMMERSMITH, LONDON",
        "Ransome's Dock, 35-37 Parkgate Road, London, SW11 4NP",
        "Hammersmith Road, London, W6 7DN",
        "202 HAMMERSMITH ROAD UNITED KINGDOM",
        "202 HAMMERSMITH ROAD BRITISH ISLES"
      ],
      "countries": [
        "GBR",
        "USA",
        "VNM"
      ],
      "entity_id": "mGq1lpuqKssNWTjIokuPeA",
      "explanation": {
        "name": [
          {
            "matched": "<em>VICTORIA</em> <em>BECKHAM</em> LIMITED",
            "uploaded": "victoria beckham limited",
            "name_custom_tf_idf_score": 0.5416772821044128,
            "high_quality_match_name": true
          },
          {
            "matched": "<em>BECKHAM</em> VENTURES LIMITED",
            "uploaded": "victoria beckham limited",
            "name_custom_tf_idf_score": 0.5,
            "high_quality_match_name": false
          }
        ]
      },
      "highlight": {
        "name": [
          "<em>VICTORIA</em> <em>BECKHAM</em> LIMITED",
          "<em>BECKHAM</em> VENTURES LIMITED"
        ]
      },
      "identifiers": [
        {
          "value": "06517802",
          "type": "uk_company_number",
          "label": "Uk Company Number"
        },
        {
          "value": "04781466",
          "type": "ca_corporate_id_num",
          "label": "Ca Corporate Id Num"
        },
        {
          "value": "6517802",
          "type": "unknown",
          "label": "Unknown"
        }
      ],
      "label": "VICTORIA BECKHAM LIMITED",
      "match_strength": {
        "value": "weak"
      },
      "matched_queries": [
        "name"
      ],
      "profile": "corporate",
      "saved_entity_id": "xG8wYP",
      "score": 167.28214,
      "sources": [
        "2b618f1996252fe537a6d998ae14c9b2",
        "2b788dbdf9194ed5a5c309386a6516b1",
        "a447a7b622c4ead6e1caf94983dc2337",
        "ecdfb3f2ecc8c3797e77d5795a8066ef",
        "e5de7b52cc88ef4cd1a10e201bdf46ee",
        "2a4fe9a14e332c8f9ded1f8a457c2b89",
        "ecdfb3f2ecc8c3797e77d5795a8066ef",
        "4ea8bac1bed868e1510ffd21842e9551"
      ],
      "type": "company",
      "typed_matched_queries": [
        "name|0",
        "looseName|0"
      ],
      "psa_id": 4655744767230
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.sayari.com/v1/resolution/persisted/V03eYM"

querystring = {"limit":"1"}

payload = { "name": ["victoria beckham limited"] }
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.sayari.com/v1/resolution/persisted/V03eYM?limit=1';
const options = {
  method: 'POST',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"name":["victoria beckham limited"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sayari.com/v1/resolution/persisted/V03eYM?limit=1"

	payload := strings.NewReader("{\n  \"name\": [\n    \"victoria beckham limited\"\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sayari.com/v1/resolution/persisted/V03eYM?limit=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": [\n    \"victoria beckham limited\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.sayari.com/v1/resolution/persisted/V03eYM?limit=1")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": [\n    \"victoria beckham limited\"\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.sayari.com/v1/resolution/persisted/V03eYM?limit=1', [
  'body' => '{
  "name": [
    "victoria beckham limited"
  ]
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sayari.com/v1/resolution/persisted/V03eYM?limit=1");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": [\n    \"victoria beckham limited\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = ["name": ["victoria beckham limited"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sayari.com/v1/resolution/persisted/V03eYM?limit=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Example 2

**Request**

```json
{
  "name": [
    "victoria beckham limited"
  ],
  "profile": "suppliers"
}
```

**Response**

```json
{
  "fields": {
    "custom_identifier": "abc123",
    "name": [
      "victoria beckham limited"
    ],
    "profile": "suppliers"
  },
  "data": [
    {
      "addresses": [
        "202 HAMMERSMITH ROAD , LONDON , , UNITED KINGDOM , W6 7DN , GB",
        "Unit 33, Ransomes Dock Business Centre, 35-37 Parkgate Road, London SW11 4NP",
        "SAUNDERS BUILDING, 202 HAMMERSMITH ROAD, HAMMERSMITH, LONDON",
        "Ransome's Dock, 35-37 Parkgate Road, London, SW11 4NP",
        "Hammersmith Road, London, W6 7DN",
        "202 HAMMERSMITH ROAD UNITED KINGDOM",
        "202 HAMMERSMITH ROAD BRITISH ISLES"
      ],
      "countries": [
        "GBR",
        "USA",
        "VNM"
      ],
      "entity_id": "mGq1lpuqKssNWTjIokuPeA",
      "explanation": {
        "name": [
          {
            "matched": "<em>VICTORIA</em> <em>BECKHAM</em> LIMITED",
            "uploaded": "victoria beckham limited",
            "name_custom_tf_idf_score": 0.5416772821044128,
            "high_quality_match_name": true
          },
          {
            "matched": "<em>BECKHAM</em> VENTURES LIMITED",
            "uploaded": "victoria beckham limited",
            "name_custom_tf_idf_score": 0.5,
            "high_quality_match_name": false
          }
        ]
      },
      "highlight": {
        "name": [
          "<em>VICTORIA</em> <em>BECKHAM</em> LIMITED",
          "<em>BECKHAM</em> VENTURES LIMITED"
        ]
      },
      "identifiers": [
        {
          "value": "06517802",
          "type": "uk_company_number",
          "label": "Uk Company Number"
        },
        {
          "value": "04781466",
          "type": "ca_corporate_id_num",
          "label": "Ca Corporate Id Num"
        },
        {
          "value": "6517802",
          "type": "unknown",
          "label": "Unknown"
        }
      ],
      "label": "VICTORIA BECKHAM LIMITED",
      "match_strength": {
        "value": "weak"
      },
      "matched_queries": [
        "name"
      ],
      "profile": "corporate",
      "saved_entity_id": "BG72YW",
      "score": 167.28214,
      "sources": [
        "2b618f1996252fe537a6d998ae14c9b2",
        "2b788dbdf9194ed5a5c309386a6516b1",
        "a447a7b622c4ead6e1caf94983dc2337",
        "ecdfb3f2ecc8c3797e77d5795a8066ef",
        "e5de7b52cc88ef4cd1a10e201bdf46ee",
        "2a4fe9a14e332c8f9ded1f8a457c2b89",
        "ecdfb3f2ecc8c3797e77d5795a8066ef",
        "4ea8bac1bed868e1510ffd21842e9551"
      ],
      "type": "company",
      "typed_matched_queries": [
        "name|0",
        "looseName|0"
      ],
      "psa_id": 4655744767230
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.sayari.com/v1/resolution/persisted/6GaxYn"

querystring = {"limit":"1"}

payload = {
    "name": ["victoria beckham limited"],
    "profile": "suppliers"
}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.sayari.com/v1/resolution/persisted/6GaxYn?limit=1';
const options = {
  method: 'POST',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"name":["victoria beckham limited"],"profile":"suppliers"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sayari.com/v1/resolution/persisted/6GaxYn?limit=1"

	payload := strings.NewReader("{\n  \"name\": [\n    \"victoria beckham limited\"\n  ],\n  \"profile\": \"suppliers\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sayari.com/v1/resolution/persisted/6GaxYn?limit=1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": [\n    \"victoria beckham limited\"\n  ],\n  \"profile\": \"suppliers\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.sayari.com/v1/resolution/persisted/6GaxYn?limit=1")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": [\n    \"victoria beckham limited\"\n  ],\n  \"profile\": \"suppliers\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.sayari.com/v1/resolution/persisted/6GaxYn?limit=1', [
  'body' => '{
  "name": [
    "victoria beckham limited"
  ],
  "profile": "suppliers"
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sayari.com/v1/resolution/persisted/6GaxYn?limit=1");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": [\n    \"victoria beckham limited\"\n  ],\n  \"profile\": \"suppliers\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [
  "name": ["victoria beckham limited"],
  "profile": "suppliers"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sayari.com/v1/resolution/persisted/6GaxYn?limit=1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```